Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Class OWLlinkGetEquivalentObjectPropertiesElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler<R>
                  org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkObjectRequestElementHandler<R,OWLPropertyExpression>
                      org.semanticweb.owlapi.owllink.server.parser.AbstractOWLPropertyRequestElementHandler<GetEquivalentObjectProperties>
                          org.semanticweb.owlapi.owllink.server.parser.OWLlinkGetEquivalentObjectPropertiesElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<GetEquivalentObjectProperties>, OWLlinkRequestElementHandler<GetEquivalentObjectProperties>

    public class OWLlinkGetEquivalentObjectPropertiesElementHandler

extends AbstractOWLPropertyRequestElementHandler<GetEquivalentObjectProperties>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 25.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkObjectRequestElementHandler
`o`

Constructor Summary
`OWLlinkGetEquivalentObjectPropertiesElementHandler(OWLXMLParserHandler handler)`

Method Summary
`GetEquivalentObjectProperties` | `getOWLObject()`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLPropertyRequestElementHandler
`handleChild, handleChild`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkObjectRequestElementHandler
`getObject, startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler
`attribute, endElement, getKB`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler
`getOWLlinkObject, getParentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.server.parser.OWLlinkElementHandler
`getOWLlinkObject`

Constructor Detail

### OWLlinkGetEquivalentObjectPropertiesElementHandler

    public OWLlinkGetEquivalentObjectPropertiesElementHandler(OWLXMLParserHandler handler)

Method Detail

### getOWLObject

    public GetEquivalentObjectProperties getOWLObject()
                                               throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD